Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryTransferHoldPeriodType

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistryPeriodType
          com.verisign.epp.codec.registry.EPPRegistryTransferHoldPeriodType

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryTransferHoldPeriodType

extends EPPRegistryPeriodType

Represents the period of time a domain object is in the pending transfer before the transfer is auto approved by the server. The <registry:transferHoldPeriod> element MUST have the "unit" attribute with the possible values of "y" for year, "m" for month, and "d" for day..

Version:
  1.4
Author:
  ljia
See Also:
  `EPPRegistryDomain`, Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` XML Element Name of `EPPRegistryTransferHoldPeriodType` root element.

Fields inherited from class com.verisign.epp.codec.registry.EPPRegistryPeriodType
`number, PERIOD_UNIT_DAY, PERIOD_UNIT_HOUR, PERIOD_UNIT_MONTH, PERIOD_UNIT_YEAR, rootName, unit, VALID_UNITS`

Constructor Summary
`EPPRegistryTransferHoldPeriodType()` Default constructor.
`EPPRegistryTransferHoldPeriodType(java.lang.Integer number, java.lang.String unit)` Construct an instance of `EPPRegistryTransferHoldPeriodType` with `number` and `unit`.
`EPPRegistryTransferHoldPeriodType(int number, java.lang.String unit)` Construct an instance of `EPPRegistryTransferHoldPeriodType` with `number` and `unit`.

Method Summary
`boolean` | `equals(java.lang.Object aObject)`

Methods inherited from class com.verisign.epp.codec.registry.EPPRegistryPeriodType
`clone, decode, encode, getNumber, getRootName, getUnit, setNumber, setUnit, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML Element Name of `EPPRegistryTransferHoldPeriodType` root element.

  See Also:
    Constant Field Values

Constructor Detail

### EPPRegistryTransferHoldPeriodType

    public EPPRegistryTransferHoldPeriodType()

  Default constructor. Must call `EPPRegistryPeriodType.setNumber(Integer)` and `EPPRegistryPeriodType.setUnit(String)` before calling the `EPPRegistryPeriodType.encode(org.w3c.dom.Document)` method.

### EPPRegistryTransferHoldPeriodType

    public EPPRegistryTransferHoldPeriodType(java.lang.Integer number,
                                             java.lang.String unit)

  Construct an instance of `EPPRegistryTransferHoldPeriodType` with `number` and `unit`.

  Parameters:
    `number` - number must be > 0
    `unit` - unit must be one of "y", "m" or "d"

### EPPRegistryTransferHoldPeriodType

    public EPPRegistryTransferHoldPeriodType(int number,
                                             java.lang.String unit)

  Construct an instance of `EPPRegistryTransferHoldPeriodType` with `number` and `unit`.

  Parameters:
    `number` - number must be > 0
    `unit` - unit must be one of "y", "m" or "d"

Method Detail

### equals

    public boolean equals(java.lang.Object aObject)

  Overrides:
    `equals` in class `EPPRegistryPeriodType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.